precision mediump float;
varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform sampler2D fTexture;
uniform vec2 mGyro;
uniform vec2 spin;
void main() {
  vec4 mapColor = texture2D(fTexture, v_texCoords);
//  vec2 displacement = vec2(mGyro * mapColor.g) ;
//  mGyro=mGyro+spin/100.0;
  vec2 displacement = vec2((mGyro+spin/100.0) * ((mapColor.g - 0.5) * 2.0)) ;

//  for rgb map
//    vec2 displacement = vec2(mGyro * (mapColor.g +mapColor.r +mapColor.b)/3.0) ;

  gl_FragColor = texture2D(u_texture, v_texCoords+displacement);
if(gl_FragColor.a == 0.0){discard;}
}
