precision mediump float;
varying vec2 v_texCoords;
varying vec4 v_color;
uniform sampler2D fTexture;
uniform sampler2D u_texture;
const float scale = 0.3;  //0.25 original
uniform vec2 mGyro;
const vec4 dimensions = vec4(0,0,0,0);
uniform vec2 mapDimensions;
const float focus = 0.5;
uniform vec2 spin;
void main(void) {
    vec2 mGyro_temp = vec2(-5.0 * mGyro.x, 5.0* mGyro.y);
//    float aspect = dimensions.x / dimensions.y;
    float aspect=1.0;

    vec2 scale2 = vec2(scale * min(1.0, 1.0 / aspect), scale * min(1.0, aspect)) * vec2(1, -1) * vec2(1);
    vec2 mapCords = v_texCoords;
    //    mapCords.y *= -1.0;
    //    mapCords.y += 1.0;
    float map = texture2D(fTexture, mapCords).g;
    map = map * -1.0 + focus;
    vec2 disCords = v_texCoords ;
    disCords += (mGyro_temp + vec2((spin/30.0)))* map * scale2;


    gl_FragColor = texture2D(u_texture, disCords) * v_color;
}