//uniform mat4 u_projTrans;
//attribute vec4 a_position;
//attribute vec2 a_texCoord0;
//varying vec2 v_texCoords;
//varying vec2 mGyro;
//varying vec4 v_color;
//attribute vec4 a_color;
//void main() {
//v_color = a_color;
//  gl_Position = u_projTrans * a_position;
//  v_texCoords = a_texCoord0;
//}


uniform mat4 u_projTrans;
attribute vec4 a_position;
attribute vec2 a_texCoord0;
varying vec2 v_texCoords;

uniform float uf_time;

varying vec2 mGyro;
varying vec4 v_color;
attribute vec4 a_color;
void main() {
  vec2 tex_coord = a_texCoord0;

  // Adjust the amount
  // of zoom per frame.
  float f_time = uf_time * 0.03;

  if (tex_coord.s == 1.0){
    tex_coord.s -= f_time;
  }
  else {
    tex_coord.s += f_time;
  }

  if (tex_coord.t == 1.0){
    tex_coord.t -= f_time;
  }
  else {
    tex_coord.t += f_time;
  }

  v_color = a_color;
  gl_Position = u_projTrans * a_position;
  v_texCoords = tex_coord;
}